extensions / Commerce extension
POST
/__runtime/rma/createCreate Create
Creates a public return (RMA) request for an order item, supporting guest submissions validated by email.
POST
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Permissions
- Public endpoint; guest submissions are validated by the order email, and authenticated storefront sessions are used when present.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Cookie | Yes | Not specified | Description: Value used by this operation. |
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
Query Parameters
Request Body
Schema: RuntimeRmaPublicCreateRequest
| Field | Required | Type | Details |
|---|---|---|---|
project_id | Yes | integer | Description: Target project identifier. |
order_number | Yes | string | Description: Text value. |
order_item_id | Yes | integer | Description: Identifier for order item. |
requested_qty | No | number | Description: Numeric value. |
reason | No | string | Description: Text value. |
description | No | string | Description: Long-form description text. |
email | No | string | Description: Text value. |
Response Body
Example 200 response
json
{
"success": [],
"message": "string",
"debug_error": "string",
"requires_email": "user@example.com",
"eligibility": "string",
"policy": "string",
"rma_number": "string",
"status": "active",
"requested_qty": "string",
"remaining_qty": "string"
}Errors
400 BAD_REQUEST404 NOT_FOUND500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

